Bug 58562 - Motif UIL compiler always fails
Summary: Motif UIL compiler always fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: open   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brock Organ
URL: http://bugs.motifzone.net/long_list.c...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-19 21:14 UTC by Trevin Beattie
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-19 21:14:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trevin Beattie 2002-01-19 21:14:41 UTC
Description of Problem:

The uil compiler that is part of the openmotif-devel-2.1.30-6 binary package on
RedHat 7.0 fails to parse even trivial uil files.

Version-Release number of selected component (if applicable):

openmotif-devel-2.1.30-6

How Reproducible:

Always

Steps to Reproduce:

1. Create the following trivial UIL file:
    module Foo
    end module;

2. Attempt to compile:
    % uil -o foo.uid foo.uil

Actual Results:

    Error: invalid module structure - check UIL module syntax

    Info: no UID file was produced

    Info: errors: 1  warnings: 0  informationals: 1

Expected Results:

The uil program should not display any warnings, errors, or other output.  It
should create an 8-KB foo.uid file.

Additional Information:
	
This bug was reported over a year ago on MotifZone
(http://bugs.motifzone.net/long_list.cgi?buglist=1111).  At the end of that bug
report, Milos recommends removing the RedHat version of openmotif and installing
the latest ICS version (a link is provided on the MotifZone web site),
"openmotif-2.1.30-5_ICS.i386.rpm" and "openmotif-devel-2.1.30-5_ICS.i386.rpm". 
The uil compiler from the ICS distribution works properly.

Comment 1 Ngo Than 2002-01-20 11:10:56 UTC
It's fixed in openmotif-2.1.30-9. You find it in Red Hat Linux Professional 7.2



Note You need to log in before you can comment on or make changes to this bug.